# WOKTools_Messages.hxx File Reference

`#include <WOKTools_Info.hxx>`
`#include <WOKTools_Warning.hxx>`
`#include <WOKTools_Error.hxx>`
`#include <WOKTools_Verbose.hxx>`

## Defines

#define | __WOKTools_API
#define | WOK_TRACE0(msg) if(VerboseMsg.IsSet()) { msg }
#define | WOK_TRACE if(VerboseMsg.IsSet())
#define | WOK_BEGIN_TRACE if(VerboseMsg.IsSet()) {
#define | WOK_END_TRACE }

## Functions

__WOKTools_API WOKTools_Message & | endm (WOKTools_Message &)
__WOKTools_API WOKTools_Message & | flushm (WOKTools_Message &)

## Variables

__WOKTools_API WOKTools_Info | InfoMsg
__WOKTools_API WOKTools_Warning | WarningMsg
__WOKTools_API WOKTools_Error | ErrorMsg
__WOKTools_API WOKTools_Verbose | VerboseMsg

## Define Documentation

#define __WOKTools_API

#define WOK_BEGIN_TRACE if(VerboseMsg.IsSet()) {

#define WOK_END_TRACE }

#define WOK_TRACE if(VerboseMsg.IsSet())

#define WOK_TRACE0 | ( | msg |  | ) | if(VerboseMsg.IsSet()) { msg }

## Function Documentation

__WOKTools_API WOKTools_Message& endm | ( | WOKTools_Message & |  | ) |

__WOKTools_API WOKTools_Message& flushm | ( | WOKTools_Message & |  | ) |

## Variable Documentation

__WOKTools_API WOKTools_Error ErrorMsg

__WOKTools_API WOKTools_Info InfoMsg

__WOKTools_API WOKTools_Verbose VerboseMsg

__WOKTools_API WOKTools_Warning WarningMsg